"""
Additional data tables required, that would othersise
reduce the readability of the main.py script
"""

grantham_distance_table = {
    "Ser": {
        "Arg": 110,
        "Leu": 145,
        "Pro": 74,
        "Thr": 58,
        "Ala": 99,
        "Val": 124,
        "Gly": 56,
        "Ile": 142,
        "Phe": 155,
        "Tyr": 144,
        "Cys": 112,
        "His": 89,
        "Gln": 68,
        "Asn": 46,
        "Lys": 121,
        "Asp": 65,
        "Glu": 80,
        "Met": 135,
        "Trp": 177,
    },
    "Arg": {
        "Leu": 102,
        "Pro": 103,
        "Thr": 71,
        "Ala": 112,
        "Val": 96,
        "Gly": 125,
        "Ile": 97,
        "Phe": 97,
        "Tyr": 77,
        "Cys": 180,
        "His": 29,
        "Gln": 43,
        "Asn": 86,
        "Lys": 26,
        "Asp": 96,
        "Glu": 54,
        "Met": 91,
        "Trp": 101,
    },
    "Leu": {
        "Pro": 98,
        "Thr": 92,
        "Ala": 96,
        "Val": 32,
        "Gly": 138,
        "Ile": 5,
        "Phe": 22,
        "Tyr": 36,
        "Cys": 198,
        "His": 99,
        "Gln": 113,
        "Asn": 153,
        "Lys": 107,
        "Asp": 172,
        "Glu": 138,
        "Met": 15,
        "Trp": 61,
    },
    "Pro": {
        "Thr": 38,
        "Ala": 27,
        "Val": 68,
        "Gly": 42,
        "Ile": 95,
        "Phe": 114,
        "Tyr": 110,
        "Cys": 169,
        "His": 77,
        "Gln": 76,
        "Asn": 91,
        "Lys": 103,
        "Asp": 108,
        "Glu": 93,
        "Met": 87,
        "Trp": 147,
    },
    "Thr": {
        "Ala": 58,
        "Val": 69,
        "Gly": 59,
        "Ile": 89,
        "Phe": 103,
        "Tyr": 92,
        "Cys": 149,
        "His": 47,
        "Gln": 42,
        "Asn": 65,
        "Lys": 78,
        "Asp": 85,
        "Glu": 65,
        "Met": 81,
        "Trp": 128,
    },
    "Ala": {
        "Val": 64,
        "Gly": 60,
        "Ile": 94,
        "Phe": 113,
        "Tyr": 112,
        "Cys": 195,
        "His": 86,
        "Gln": 91,
        "Asn": 111,
        "Lys": 106,
        "Asp": 126,
        "Glu": 107,
        "Met": 84,
        "Trp": 148,
    },
    "Val": {
        "Gly": 109,
        "Ile": 29,
        "Phe": 50,
        "Tyr": 55,
        "Cys": 192,
        "His": 84,
        "Gln": 96,
        "Asn": 133,
        "Lys": 97,
        "Asp": 152,
        "Glu": 121,
        "Met": 21,
        "Trp": 88,
    },
    "Gly": {
        "Ile": 135,
        "Phe": 153,
        "Tyr": 147,
        "Cys": 159,
        "His": 98,
        "Gln": 87,
        "Asn": 80,
        "Lys": 127,
        "Asp": 94,
        "Glu": 98,
        "Met": 127,
        "Trp": 184,
    },
    "Ile": {
        "Phe": 21,
        "Tyr": 33,
        "Cys": 198,
        "His": 94,
        "Gln": 109,
        "Asn": 149,
        "Lys": 102,
        "Asp": 168,
        "Glu": 134,
        "Met": 10,
        "Trp": 61,
    },
    "Phe": {
        "Tyr": 22,
        "Cys": 205,
        "His": 100,
        "Gln": 116,
        "Asn": 158,
        "Lys": 102,
        "Asp": 177,
        "Glu": 140,
        "Met": 28,
        "Trp": 40,
    },
    "Tyr": {
        "Cys": 194,
        "His": 83,
        "Gln": 99,
        "Asn": 143,
        "Lys": 85,
        "Asp": 160,
        "Glu": 122,
        "Met": 36,
        "Trp": 37,
    },
    "Cys": {
        "His": 174,
        "Gln": 154,
        "Asn": 139,
        "Lys": 202,
        "Asp": 154,
        "Glu": 170,
        "Met": 196,
        "Trp": 215,
    },
    "His": {
        "Gln": 24,
        "Asn": 68,
        "Lys": 32,
        "Asp": 81,
        "Glu": 40,
        "Met": 87,
        "Trp": 115,
    },
    "Gln": {
        "Asn": 46,
        "Lys": 53,
        "Asp": 61,
        "Glu": 29,
        "Met": 101,
        "Trp": 130,
    },
    "Asn": {
        "Lys": 94,
        "Asp": 23,
        "Glu": 42,
        "Met": 142,
        "Trp": 174,
    },
    "Lys": {
        "Asp": 101,
        "Glu": 56,
        "Met": 95,
        "Trp": 110,
    },
    "Asp": {
        "Glu": 45,
        "Met": 160,
        "Trp": 181,
    },
    "Glu": {
        "Met": 126,
        "Trp": 152,
    },
    "Met": {
        "Trp": 67,
    },
}

amino_acid_table = [
    ("A", "Ala", "Alanine"),
    ("R", "Arg", "Arginine"),
    ("N", "Asn", "Asparagine"),
    ("D", "Asp", "Aspartic Acid"),
    ("B", "Asx", "Asparagine Or Aspartic Acid"),
    ("C", "Cys", "Cysteine"),
    ("E", "Glu", "Glutamic Acid"),
    ("Q", "Gln", "Glutamine"),
    ("Z", "Glx", "Glutamine Or Glutamic Acid"),
    ("G", "Gly", "Glycine"),
    ("H", "His", "Histidine"),
    ("I", "Ile", "Isoleucine"),
    ("L", "Leu", "Leucine"),
    ("K", "Lys", "Lysine"),
    ("M", "Met", "Methionine"),
    ("F", "Phe", "Phenylalanine"),
    ("P", "Pro", "Proline"),
    ("S", "Ser", "Serine"),
    ("T", "Thr", "Threonine"),
    ("W", "Trp", "Tryptophan"),
    ("Y", "Tyr", "Tyrosine"),
    ("V", "Val", "Valine"),
]
